.gl-broadcast-message {
  @include gl-display-flex;
  @include gl-justify-content-space-between;
  @include gl-align-items-flex-start;
  @include gl-font-base;
  @include gl-line-height-20;
  @include gl-pl-5;
  @include gl-pr-4;
  @include gl-py-5;

  &.indigo {
    @include gl-bg-theme-indigo-700;
  }

  &.light-indigo {
    @include gl-bg-theme-indigo-500;
  }

  &.blue {
    @include gl-bg-theme-blue-700;
  }

  &.light-blue {
    @include gl-bg-theme-blue-500;
  }

  &.green {
    @include gl-bg-theme-green-700;
  }

  &.light-green {
    @include gl-bg-theme-green-500;
  }

  &.red {
    @include gl-bg-theme-red-700;
  }

  &.light-red {
    @include gl-bg-theme-red-500;
  }

  &.dark {
    @include gl-bg-gray-500;
  }

  &.light {
    @include gl-bg-gray-300;
  }

  &.banner {
    @include gl-text-contrast-light;
    @include gl-inset-border-b-1-gray-900;
  }

  &.notification {
    @include gl-rounded-base;
    @include gl-bg-white;
    @include gl-border-solid;
    @include gl-border-gray-100;
    @include gl-border-1;
    @include gl-shadow-x0-y2-b4-s0;
    max-width: $gl-broadcast-message-notification-max-width;
  }

  &-content {
    @include gl-display-flex;
    @include gl-justify-content-center;
  }

  &-icon {
    @include gl-mr-5;

    > svg {
      @include gl-vertical-align-bottom;
    }
  }

  &-dismiss {
    @include gl-my-n2;
    @include gl-ml-5;
  }
}
